// Jason Brillante "Damdoshi"
// Hanged Bunny Studio 2014-2015
//
// KoBang!

#include		<math.h>
#include		<iostream>
#include		"kobang.hpp"

void			kobang::deform(void)
{
  if (deforming == 0 && (rot == 44 || rot == 46))
    {
      rot = 44;
      coefx = cos(rot * (M_PI / 180.0)) / 8 + 0.875;
      coefy = sin(rot * (M_PI / 180.0)) / 8 + 0.875;
      return ;
    }
  coefx = cos(rot * (M_PI / 180.0)) / 8 + 0.875;
  coefy = sin(rot * (M_PI / 180.0)) / 8 + 0.875;
  rot = (rot + 2) % 360;
}

